Bug 1129917 - [gu_IN] Gujarati and Hindi itrans method misprints characters.
Summary: [gu_IN] Gujarati and Hindi itrans method misprints characters.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-db
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 00:59 UTC by Nirmal Pathak
Modified: 2015-05-20 18:51 UTC (History)
5 users (show)

Fixed In Version: m17n-db-1.6.5-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1249875 (view as bug list)
Environment:
Last Closed: 2015-05-12 20:43:32 UTC


Attachments (Terms of Use)
Modified gu-itrans.mim file (5.04 KB, patch)
2015-05-08 04:39 UTC, Parag Nemade
no flags Details | Diff

Description Nirmal Pathak 2014-08-14 00:59:44 UTC
Description of problem:
The Gujarati itrans method misprints characters when "e." is typed. e.g. છ્e. 

Version-Release number of selected component (if applicable):
ibus-1.5.7-2.fc20.x86_64


How reproducible:
Type in Gujarati language using ibus itrans method.


Steps to Reproduce:
1. Select Gujarati (itrans - m17n) or Gujarati-IN (Hunspell) method in ibus.
2. Open gedit & type "chhe."

Actual results:
છ્e.

Expected results:
છે.

Additional info:
The same issue persist for Hindi langugage as well & with SCIM in older versions of Fedora.

Comment 1 Nirmal Pathak 2014-12-21 06:56:15 UTC
Issue seems to have been fixed for Hindi language but for Gujarati the issue still persist on Fedora 21.

Keypress Events for following output: je.

Actual Result: જ્e.

Expected Result: જે.

Comment 2 Parag Nemade 2014-12-23 08:09:06 UTC
Such keymapping issues exists in respective keymap files like for this gu-itrans.mim file and not related to ibus or scim.

I am using Fedora 21 which have same m17n-db-1.6.5-3.fc21.noarch package installed. I am getting same expected results what is given in bug description.

For je I get જે 
For chhe I get છે 

For hi-itrans.mim, I get
je -> जे 
chhe -> छे

Comment 3 Parag Nemade 2014-12-23 08:13:35 UTC
Try re-installing m17n-db package and check again otherwise looks NOTABUG.

Comment 4 Nirmal Pathak 2014-12-23 15:08:04 UTC
(In reply to Parag from comment #2)
> Such keymapping issues exists in respective keymap files like for this
> gu-itrans.mim file and not related to ibus or scim.
> 
> I am using Fedora 21 which have same m17n-db-1.6.5-3.fc21.noarch package
> installed. I am getting same expected results what is given in bug
> description.
> 
> For je I get જે 
> For chhe I get છે 
> 
> For hi-itrans.mim, I get
> je -> जे 
> chhe -> छे

Please can you try following?

Choose Gujarati iTrans & press keys "je." without quotes.

Expected Result: જે.

Actual Result: જ્e. 

The full point or dot (.) after typing 'je' makes the difference here. If I type only "je" without quotes I get "જે" but if I type 'je.' without quotes I get 'જ્e.'.

Comment 5 Parag Nemade 2014-12-23 15:14:42 UTC
Thanks for explaining it further. I understand this now and I can see gu-itrans.mim need some improvement. I will work on this and provide you working keymap file.

Comment 6 Nirmal Pathak 2015-05-01 03:15:36 UTC
Any update on this '/usr/share/m17n/gu-itrans.mim' changes?

Comment 7 Parag Nemade 2015-05-07 03:11:56 UTC
Unfortunately this didn't get much attention but I have got some time for this and found that whenever you are going to type
je. key sequence that should be typed as je.c
ne. key sequence that should be typed as ne.c

Can you tell if new key sequence gives correct rendering for you?

Comment 8 Nirmal Pathak 2015-05-07 04:00:31 UTC
Following are my actual results for the key sequences you requested.

je.	=	જ્e.
je.c	=	જૅ
ne.	=	ન્e.
ne.c	=	નૅ

Following are expected results,

je.	=	જે.
ne.	=	ને.

When I type "ne.c" it prints different type/style of oblique stroke above letter (मात्रा).

Comment 9 Parag Nemade 2015-05-08 04:39:20 UTC
Created attachment 1023371 [details]
Modified gu-itrans.mim file

Please install the attached gu-itrans.mim as root user in /usr/share/m17n directory. Restart the Gnome session. Select gu-itrans keymap and start writing
"je." and "ne." key sequence.

They should render correctly now. Please inform here back your results.

Comment 10 Nirmal Pathak 2015-05-08 05:59:55 UTC
This new gu-itrans.mim file did fix the issue. The letters are printed as expected.

je. = જે.
ne. = ને.

Thanks for fixing this ages old issue with Gujarati iTrans.

I hope this change will be pushed in newer version of 'm17n-db' package.

Comment 11 Parag Nemade 2015-05-08 06:32:14 UTC
Thank you very much for confirming above and thanks again for discovering such bug which I see exist in other Indic itrans keymaps also.

I will prepare a patch for other keymaps also and push to F20+ versions.

Comment 12 Fedora Update System 2015-05-11 07:14:11 UTC
m17n-db-1.7.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/m17n-db-1.7.0-3.fc22

Comment 13 Fedora Update System 2015-05-11 07:31:04 UTC
m17n-db-1.6.5-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/m17n-db-1.6.5-4.fc21

Comment 14 Fedora Update System 2015-05-11 19:05:49 UTC
Package m17n-db-1.7.0-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing m17n-db-1.7.0-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7985/m17n-db-1.7.0-3.fc22
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-05-12 20:43:32 UTC
m17n-db-1.7.0-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-05-20 18:51:14 UTC
m17n-db-1.6.5-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.